using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.admin
{
	/// <summary>
	/// admin_photo 的摘要说明。
	/// </summary>
	public class admin_photo : System.Web.UI.Page
	{
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			sharecode.CheckAdmin();
			sharecode.CheckAdminQx("在线相册记录管理");
			DTable1.ConnStr =sharecode.ConnStr;
			DTable1.TableName="DTable_Photo";
			DTable1.List_SQL="select a.id,a.照片主题,a.点击率,a.发布人,a.发布时间,a.本类首页显示,a.公开,b.照片类别,'<img src=../DTablePhoto/img_user/' + a.发布人 + '/mini/' + a.照片地址 + '>' as 照片地址 from DTable_photo a inner join DTable_photo_Kind b on a.类别=b.id order by a.id desc";
			DTable1.List_FieldFormat="5||boolean|是|否|||^6||boolean|是|否|||";
			DTable1.Edit_FieldFormat="8||boolean|是|否|||^9||boolean|是|否|||";
			
			
			DTable1.AdminMode=true;
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
